Question Devkitpro error: cannot find -lcurl

Discussion in 'Switch - Emulation, Homebrew & Software Projects' started by OkazakiTheOtaku, Aug 13, 2018.

  1. OkazakiTheOtaku
    OP

    OkazakiTheOtaku no thanks, I don't want a custom title

    Member
    8
    Jul 20, 2016
    Japan
    127.0.0.1
    Hi, when trying to compile some homebrew projects, devkitpro tells me that it cannot find -lcurl. More specifically, the error is:
    /opt/devkitpro/devkitA64/bin/../lib/gcc/aarch64-none-elf/8.1.0/../../../../aarch64-none-elf/bin/ld: cannot find -lcurl

    Am I missing a dependency? What can I do to fix this?
    I'm using DevKitPro on macOS, if that makes a difference.
     
  2. rock88

    rock88 Member

    Newcomer
    4
    May 19, 2018
    Russia
    Yep, just install over pacman
    Code:
    pacman -S switch-curl
    
     
    OkazakiTheOtaku likes this.
  3. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    8
    Aug 27, 2009
    United States
    inside your crappy old PC
    btw Pacman always fails on Mac OS X Sierra for me it installs until the end saying "the installation has failed, how would I debug an error from a pkg?
     
  4. rock88

    rock88 Member

    Newcomer
    4
    May 19, 2018
    Russia
    I'm on High Sierra, all ok. Maybe u should install with sudo?
     
  5. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    8
    Aug 27, 2009
    United States
    inside your crappy old PC
    it kind of does as it asks for my password (opening it via double clicking the pkg) I get this using the sudo installer command with -allowUntrusted and -verbose

    installer: Package name is

    installer: Installing at base path /

    installer: Preparing for installation….....

    installer: Preparing the disk….....

    installer: Preparing ….....

    installer: Waiting for other installations to complete….....

    installer: Configuring the installation….....

    installer:

    #

    installer: Writing files….....

    #

    installer: Removing old files….....

    #

    installer: Moving items into place….....

    #

    installer: Running package scripts….....

    installer: Validating packages….....

    installer: Validating packages….....

    #

    installer: The install failed (The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.)

    chriss-iMac:downloads chris$ installer: The install failed (The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.)
     
    Last edited by chrisrlink, Aug 13, 2018 - Reason: added verbose output
  6. OkazakiTheOtaku
    OP

    OkazakiTheOtaku no thanks, I don't want a custom title

    Member
    8
    Jul 20, 2016
    Japan
    127.0.0.1
    Thanks! Working perfectly for me on High Sierra. I have to use dkp-pacman
     
  7. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    8
    Aug 27, 2009
    United States
    inside your crappy old PC
    error: failed retrieving file 'switch-zlib-1.2.11-1-any.pkg.tar.xz' from downloads.devkitpro.org : SSL: can't load CA certificate file /etc/ssl/cert.pem
    <----- I get this when doing sudo dkp-pacman -S switch-curl
     
  8. midstor

    midstor GBAtemp Regular

    Member
    4
    Aug 1, 2018
    United States
    You should do some research.
     
  9. OkazakiTheOtaku
    OP

    OkazakiTheOtaku no thanks, I don't want a custom title

    Member
    8
    Jul 20, 2016
    Japan
    127.0.0.1
    Thanks for the helpful reply. Unfortunately, someone answered my question over 10 days ago so maybe you should have read the thread.
     
  10. midstor

    midstor GBAtemp Regular

    Member
    4
    Aug 1, 2018
    United States
    I did, maybe you shouldn't assume :)
     
Loading...